/*******************************************************************************
 * FoxMenuBackgroundMesh generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxMenuBackgroundMesh extends FoxDynamicSMActor
    native
    hidecategories(Navigation);

var() editinline TextureRenderTarget2D BackgroundTex;
var() const Material RenderTextureMat;
var() MaterialInstanceConstant RenderTextureMIC;
var() float DistanceFromCamera;
var FoxPC PCOwner;

function SetupRenderTexture()
{
    local LightingChannelContainer NewLightingChannel;

    RenderTextureMIC = new (self) class'MaterialInstanceConstant';
    RenderTextureMIC.SetParent(RenderTextureMat);
    StaticMeshComponent.SetMaterial(0, RenderTextureMIC);
    NewLightingChannel = StaticMeshComponent.LightingChannels;
    NewLightingChannel.Dynamic = false;
    StaticMeshComponent.SetLightingChannels(NewLightingChannel);
    BackgroundTex = class'TextureRenderTarget2D'.static.Create(1280, 720);
    RenderTextureMIC.SetTextureParameterValue('Texture', BackgroundTex);
    //return;    
}

// Export UFoxMenuBackgroundMesh::execUpdate(FFrame&, void* const)
native function Update(float DeltaTime);

defaultproperties
{
    RenderTextureMat=Material'EngineMaterials.EmissiveTexturedMaterial'
    DistanceFromCamera=282.0
    bShowInHRV=false
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        StaticMesh=StaticMesh'UI_Meshes.Mesh.TexPropPlane'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxMenuBackgroundMesh.MyLightEnvironment'
        bAllowCullDistanceVolume=false
        bUseAsOccluder=false
        bSelectable=false
        bAcceptsStaticDecals=false
        bAcceptsDynamicDecals=false
        CastShadow=false
        bCastDynamicShadow=false
        bCastStaticShadow=false
        bAcceptsDynamicDominantLightShadows=false
        bAcceptsLights=false
        bAcceptsDynamicLights=false
        CanBlockCamera=false
        bBlockFootPlacement=false
        bAllowShadowFade=false
        Scale3D=(X=1.0,Y=1.770,Z=1.0)
    object end
    // Reference: StaticMeshComponent'Default__FoxMenuBackgroundMesh.StaticMeshComponent0'
    StaticMeshComponent=StaticMeshComponent0
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxMenuBackgroundMesh.MyLightEnvironment'
    Components(0)=DynamicLightEnvironmentComponent'Default__FoxMenuBackgroundMesh.MyLightEnvironment'
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        StaticMesh=StaticMesh'UI_Meshes.Mesh.TexPropPlane'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxMenuBackgroundMesh.MyLightEnvironment'
        bAllowCullDistanceVolume=false
        bUseAsOccluder=false
        bSelectable=false
        bAcceptsStaticDecals=false
        bAcceptsDynamicDecals=false
        CastShadow=false
        bCastDynamicShadow=false
        bCastStaticShadow=false
        bAcceptsDynamicDominantLightShadows=false
        bAcceptsLights=false
        bAcceptsDynamicLights=false
        CanBlockCamera=false
        bBlockFootPlacement=false
        bAllowShadowFade=false
        Scale3D=(X=1.0,Y=1.770,Z=1.0)
    object end
    // Reference: StaticMeshComponent'Default__FoxMenuBackgroundMesh.StaticMeshComponent0'
    Components(1)=StaticMeshComponent0
    bNoDelete=false
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        StaticMesh=StaticMesh'UI_Meshes.Mesh.TexPropPlane'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxMenuBackgroundMesh.MyLightEnvironment'
        bAllowCullDistanceVolume=false
        bUseAsOccluder=false
        bSelectable=false
        bAcceptsStaticDecals=false
        bAcceptsDynamicDecals=false
        CastShadow=false
        bCastDynamicShadow=false
        bCastStaticShadow=false
        bAcceptsDynamicDominantLightShadows=false
        bAcceptsLights=false
        bAcceptsDynamicLights=false
        CanBlockCamera=false
        bBlockFootPlacement=false
        bAllowShadowFade=false
        Scale3D=(X=1.0,Y=1.770,Z=1.0)
    object end
    // Reference: StaticMeshComponent'Default__FoxMenuBackgroundMesh.StaticMeshComponent0'
    CollisionComponent=StaticMeshComponent0
}